package main

import (
	"context"

	"git.lehouerou.net/laurent/arlo-go"
	log "github.com/sirupsen/logrus"
)

func main() {
	ctx := context.Background()
	a := arlo.NewArlo()
	err := a.Login(ctx, "hass@lehouerou.net", "TiPXMVLUeZfUg6RrmwzK")
	if err != nil {
		log.Errorf("login: %v", err)
		return
	}

	for _, device := range a.Cameras {
		log.Infof("%s", device.DeviceName)
		err := device.On(ctx)
		if err != nil {
			log.Errorf("setting camera %s on: %v", device.DeviceName, err)
		}
	}

	select {}

}
